Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.persistence
Class HibernateSessionProxy

    java.lang.Object
      org.jboss.seam.persistence.HibernateSessionProxy

All Implemented Interfaces:
  Serializable, org.hibernate.engine.SessionImplementor, org.hibernate.event.EventSource, org.hibernate.Session

Direct Known Subclasses:
  FullTextHibernateSessionProxy

    public class HibernateSessionProxy

extends Object
implements org.hibernate.Session, org.hibernate.engine.SessionImplementor, org.hibernate.event.EventSource

Proxies the Session, and implements EL interpolation in HQL. Needs to implement SessionImplementor because DetachedCriteria casts the Session to SessionImplementor.

Author:
  Gavin King, Emmanuel Bernard FIXME: EventSource should not really be there, remove once HSearch is fixed
See Also:
  Serialized Form

Constructor Summary
`HibernateSessionProxy(org.hibernate.Session session)` Don't use that constructor directly, use HibernatePersistenceProvider.proxySession()

Method Summary
`void` | `afterScrollOperation()`
`void` | `afterTransactionCompletion(boolean arg0, org.hibernate.Transaction arg1)`
`void` | `beforeTransactionCompletion(org.hibernate.Transaction arg0)`
`org.hibernate.Transaction` | `beginTransaction()`
`String` | `bestGuessEntityName(Object arg0)`
`void` | `cancelQuery()`
`void` | `clear()`
`Connection` | `close()`
`Connection` | `connection()`
`boolean` | `contains(Object arg0)`
`org.hibernate.Criteria` | `createCriteria(Class arg0)`
`org.hibernate.Criteria` | `createCriteria(Class arg0, String arg1)`
`org.hibernate.Criteria` | `createCriteria(String arg0)`
`org.hibernate.Criteria` | `createCriteria(String arg0, String arg1)`
`org.hibernate.Query` | `createFilter(Object arg0, String arg1)`
`org.hibernate.Query` | `createQuery(String hql)`
`org.hibernate.SQLQuery` | `createSQLQuery(String arg0)`
`void` | `delete(Object arg0)`
`void` | `delete(String arg0, Object arg1)`
`void` | `delete(String s, Object o, boolean b, Set set)`
`void` | `disableFilter(String arg0)`
`Connection` | `disconnect()`
`org.hibernate.Filter` | `enableFilter(String arg0)`
`void` | `evict(Object arg0)`
`int` | `executeNativeUpdate(org.hibernate.engine.query.sql.NativeSQLQuerySpecification arg0, org.hibernate.engine.QueryParameters arg1)`
`int` | `executeUpdate(String arg0, org.hibernate.engine.QueryParameters arg1)`
`void` | `flush()`
`void` | `forceFlush(org.hibernate.engine.EntityEntry entityEntry)`
`Object` | `get(Class arg0, Serializable arg1)`
`Object` | `get(Class arg0, Serializable arg1, org.hibernate.LockMode arg2)`
`Object` | `get(String arg0, Serializable arg1)`
`Object` | `get(String arg0, Serializable arg1, org.hibernate.LockMode arg2)`
`org.hibernate.engine.ActionQueue` | `getActionQueue()`
`org.hibernate.jdbc.Batcher` | `getBatcher()`
`org.hibernate.CacheMode` | `getCacheMode()`
`Serializable` | `getContextEntityIdentifier(Object arg0)`
`org.hibernate.LockMode` | `getCurrentLockMode(Object arg0)`
`int` | `getDontFlushFromFind()`
`org.hibernate.Filter` | `getEnabledFilter(String arg0)`
`Map` | `getEnabledFilters()`
`org.hibernate.EntityMode` | `getEntityMode()`
`String` | `getEntityName(Object arg0)`
`org.hibernate.persister.entity.EntityPersister` | `getEntityPersister(String arg0, Object arg1)`
`Object` | `getEntityUsingInterceptor(org.hibernate.engine.EntityKey arg0)`
`org.hibernate.engine.SessionFactoryImplementor` | `getFactory()`
`String` | `getFetchProfile()`
`org.hibernate.type.Type` | `getFilterParameterType(String arg0)`
`Object` | `getFilterParameterValue(String arg0)`
`org.hibernate.FlushMode` | `getFlushMode()`
`Serializable` | `getIdentifier(Object arg0)`
`org.hibernate.Interceptor` | `getInterceptor()`
`org.hibernate.jdbc.JDBCContext` | `getJDBCContext()`
`org.hibernate.event.EventListeners` | `getListeners()`
`org.hibernate.Query` | `getNamedQuery(String arg0)`
`org.hibernate.Query` | `getNamedSQLQuery(String arg0)`
`org.hibernate.engine.PersistenceContext` | `getPersistenceContext()`
`org.hibernate.Session` | `getSession(org.hibernate.EntityMode arg0)`
`org.hibernate.SessionFactory` | `getSessionFactory()`
`org.hibernate.stat.SessionStatistics` | `getStatistics()`
`long` | `getTimestamp()`
`org.hibernate.Transaction` | `getTransaction()`
`String` | `guessEntityName(Object arg0)`
`Object` | `immediateLoad(String arg0, Serializable arg1)`
`void` | `initializeCollection(org.hibernate.collection.PersistentCollection arg0, boolean arg1)`
`Object` | `instantiate(org.hibernate.persister.entity.EntityPersister entityPersister, Serializable serializable)`
`Object` | `instantiate(String arg0, Serializable arg1)`
`Object` | `internalLoad(String arg0, Serializable arg1, boolean arg2, boolean arg3)`
`boolean` | `isClosed()`
`boolean` | `isConnected()`
`boolean` | `isDirty()`
`boolean` | `isEventSource()`
`boolean` | `isOpen()`
`boolean` | `isTransactionInProgress()`
`Iterator` | `iterate(String arg0, org.hibernate.engine.QueryParameters arg1)`
`Iterator` | `iterateFilter(Object arg0, String arg1, org.hibernate.engine.QueryParameters arg2)`
`List` | `list(org.hibernate.impl.CriteriaImpl arg0)`
`List` | `list(org.hibernate.engine.query.sql.NativeSQLQuerySpecification arg0, org.hibernate.engine.QueryParameters arg1)`
`List` | `list(String arg0, org.hibernate.engine.QueryParameters arg1)`
`List` | `listCustomQuery(org.hibernate.loader.custom.CustomQuery arg0, org.hibernate.engine.QueryParameters arg1)`
`List` | `listFilter(Object arg0, String arg1, org.hibernate.engine.QueryParameters arg2)`
`Object` | `load(Class arg0, Serializable arg1)`
`Object` | `load(Class arg0, Serializable arg1, org.hibernate.LockMode arg2)`
`void` | `load(Object arg0, Serializable arg1)`
`Object` | `load(String arg0, Serializable arg1)`
`Object` | `load(String arg0, Serializable arg1, org.hibernate.LockMode arg2)`
`void` | `lock(Object arg0, org.hibernate.LockMode arg1)`
`void` | `lock(String arg0, Object arg1, org.hibernate.LockMode arg2)`
`Object` | `merge(Object arg0)`
`Object` | `merge(String arg0, Object arg1)`
`void` | `merge(String s, Object o, Map map)`
`void` | `persist(Object arg0)`
`void` | `persist(String arg0, Object arg1)`
`void` | `persist(String s, Object o, Map map)`
`void` | `persistOnFlush(String s, Object o, Map map)`
`void` | `reconnect()`
`void` | `reconnect(Connection arg0)`
`void` | `refresh(Object arg0)`
`void` | `refresh(Object arg0, org.hibernate.LockMode arg1)`
`void` | `refresh(Object o, Map map)`
`void` | `replicate(Object arg0, org.hibernate.ReplicationMode arg1)`
`void` | `replicate(String arg0, Object arg1, org.hibernate.ReplicationMode arg2)`
`Serializable` | `save(Object arg0)`
`Serializable` | `save(String arg0, Object arg1)`
`void` | `saveOrUpdate(Object arg0)`
`void` | `saveOrUpdate(String arg0, Object arg1)`
`void` | `saveOrUpdateCopy(String s, Object o, Map map)`
`org.hibernate.ScrollableResults` | `scroll(org.hibernate.impl.CriteriaImpl arg0, org.hibernate.ScrollMode arg1)`
`org.hibernate.ScrollableResults` | `scroll(org.hibernate.engine.query.sql.NativeSQLQuerySpecification arg0, org.hibernate.engine.QueryParameters arg1)`
`org.hibernate.ScrollableResults` | `scroll(String arg0, org.hibernate.engine.QueryParameters arg1)`
`org.hibernate.ScrollableResults` | `scrollCustomQuery(org.hibernate.loader.custom.CustomQuery arg0, org.hibernate.engine.QueryParameters arg1)`
`void` | `setAutoClear(boolean arg0)`
`void` | `setCacheMode(org.hibernate.CacheMode arg0)`
`void` | `setFetchProfile(String arg0)`
`void` | `setFlushMode(org.hibernate.FlushMode arg0)`
`void` | `setReadOnly(Object arg0, boolean arg1)`
`void` | `update(Object arg0)`
`void` | `update(String arg0, Object arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateSessionProxy

    public HibernateSessionProxy(org.hibernate.Session session)

  Don't use that constructor directly, use HibernatePersistenceProvider.proxySession()

Method Detail

### beginTransaction

    public org.hibernate.Transaction beginTransaction()
                                               throws org.hibernate.HibernateException

  Specified by:
    `beginTransaction` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### cancelQuery

    public void cancelQuery()
                     throws org.hibernate.HibernateException

  Specified by:
    `cancelQuery` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.hibernate.Session`

### close

    public Connection close()
                     throws org.hibernate.HibernateException

  Specified by:
    `close` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### connection

    public Connection connection()
                          throws org.hibernate.HibernateException

  Specified by:
    `connection` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `connection` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### contains

    public boolean contains(Object arg0)

  Specified by:
    `contains` in interface `org.hibernate.Session`

### createCriteria

    public org.hibernate.Criteria createCriteria(Class arg0,
                                                 String arg1)

  Specified by:
    `createCriteria` in interface `org.hibernate.Session`

### createCriteria

    public org.hibernate.Criteria createCriteria(Class arg0)

  Specified by:
    `createCriteria` in interface `org.hibernate.Session`

### createCriteria

    public org.hibernate.Criteria createCriteria(String arg0,
                                                 String arg1)

  Specified by:
    `createCriteria` in interface `org.hibernate.Session`

### createCriteria

    public org.hibernate.Criteria createCriteria(String arg0)

  Specified by:
    `createCriteria` in interface `org.hibernate.Session`

### createFilter

    public org.hibernate.Query createFilter(Object arg0,
                                            String arg1)
                                     throws org.hibernate.HibernateException

  Specified by:
    `createFilter` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### createQuery

    public org.hibernate.Query createQuery(String hql)
                                    throws org.hibernate.HibernateException

  Specified by:
    `createQuery` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### createSQLQuery

    public org.hibernate.SQLQuery createSQLQuery(String arg0)
                                          throws org.hibernate.HibernateException

  Specified by:
    `createSQLQuery` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### delete

    public void delete(Object arg0)
                throws org.hibernate.HibernateException

  Specified by:
    `delete` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### delete

    public void delete(String arg0,
                       Object arg1)
                throws org.hibernate.HibernateException

  Specified by:
    `delete` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### disableFilter

    public void disableFilter(String arg0)

  Specified by:
    `disableFilter` in interface `org.hibernate.Session`

### disconnect

    public Connection disconnect()
                          throws org.hibernate.HibernateException

  Specified by:
    `disconnect` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### enableFilter

    public org.hibernate.Filter enableFilter(String arg0)

  Specified by:
    `enableFilter` in interface `org.hibernate.Session`

### evict

    public void evict(Object arg0)
               throws org.hibernate.HibernateException

  Specified by:
    `evict` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### flush

    public void flush()
               throws org.hibernate.HibernateException

  Specified by:
    `flush` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `flush` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public Object get(Class arg0,
                      Serializable arg1,
                      org.hibernate.LockMode arg2)
               throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public Object get(Class arg0,
                      Serializable arg1)
               throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public Object get(String arg0,
                      Serializable arg1,
                      org.hibernate.LockMode arg2)
               throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public Object get(String arg0,
                      Serializable arg1)
               throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getCacheMode

    public org.hibernate.CacheMode getCacheMode()

  Specified by:
    `getCacheMode` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `getCacheMode` in interface `org.hibernate.Session`

### getCurrentLockMode

    public org.hibernate.LockMode getCurrentLockMode(Object arg0)
                                              throws org.hibernate.HibernateException

  Specified by:
    `getCurrentLockMode` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getEnabledFilter

    public org.hibernate.Filter getEnabledFilter(String arg0)

  Specified by:
    `getEnabledFilter` in interface `org.hibernate.Session`

### getEntityMode

    public org.hibernate.EntityMode getEntityMode()

  Specified by:
    `getEntityMode` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `getEntityMode` in interface `org.hibernate.Session`

### getEntityName

    public String getEntityName(Object arg0)
                         throws org.hibernate.HibernateException

  Specified by:
    `getEntityName` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getFlushMode

    public org.hibernate.FlushMode getFlushMode()

  Specified by:
    `getFlushMode` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `getFlushMode` in interface `org.hibernate.Session`

### getIdentifier

    public Serializable getIdentifier(Object arg0)
                               throws org.hibernate.HibernateException

  Specified by:
    `getIdentifier` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getNamedQuery

    public org.hibernate.Query getNamedQuery(String arg0)
                                      throws org.hibernate.HibernateException

  Specified by:
    `getNamedQuery` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `getNamedQuery` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getSession

    public org.hibernate.Session getSession(org.hibernate.EntityMode arg0)

  Specified by:
    `getSession` in interface `org.hibernate.Session`

### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()

  Specified by:
    `getSessionFactory` in interface `org.hibernate.Session`

### getStatistics

    public org.hibernate.stat.SessionStatistics getStatistics()

  Specified by:
    `getStatistics` in interface `org.hibernate.Session`

### getTransaction

    public org.hibernate.Transaction getTransaction()

  Specified by:
    `getTransaction` in interface `org.hibernate.Session`

### isConnected

    public boolean isConnected()

  Specified by:
    `isConnected` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `isConnected` in interface `org.hibernate.Session`

### isDirty

    public boolean isDirty()
                    throws org.hibernate.HibernateException

  Specified by:
    `isDirty` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### isOpen

    public boolean isOpen()

  Specified by:
    `isOpen` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `isOpen` in interface `org.hibernate.Session`

### load

    public Object load(Class arg0,
                       Serializable arg1,
                       org.hibernate.LockMode arg2)
                throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public Object load(Class arg0,
                       Serializable arg1)
                throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public void load(Object arg0,
                     Serializable arg1)
              throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public Object load(String arg0,
                       Serializable arg1,
                       org.hibernate.LockMode arg2)
                throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public Object load(String arg0,
                       Serializable arg1)
                throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### lock

    public void lock(Object arg0,
                     org.hibernate.LockMode arg1)
              throws org.hibernate.HibernateException

  Specified by:
    `lock` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### lock

    public void lock(String arg0,
                     Object arg1,
                     org.hibernate.LockMode arg2)
              throws org.hibernate.HibernateException

  Specified by:
    `lock` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### merge

    public Object merge(Object arg0)
                 throws org.hibernate.HibernateException

  Specified by:
    `merge` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### merge

    public Object merge(String arg0,
                        Object arg1)
                 throws org.hibernate.HibernateException

  Specified by:
    `merge` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### persist

    public void persist(Object arg0)
                 throws org.hibernate.HibernateException

  Specified by:
    `persist` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### persist

    public void persist(String arg0,
                        Object arg1)
                 throws org.hibernate.HibernateException

  Specified by:
    `persist` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### reconnect

    public void reconnect()
                   throws org.hibernate.HibernateException

  Specified by:
    `reconnect` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### reconnect

    public void reconnect(Connection arg0)
                   throws org.hibernate.HibernateException

  Specified by:
    `reconnect` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### refresh

    public void refresh(Object arg0,
                        org.hibernate.LockMode arg1)
                 throws org.hibernate.HibernateException

  Specified by:
    `refresh` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### refresh

    public void refresh(Object arg0)
                 throws org.hibernate.HibernateException

  Specified by:
    `refresh` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### replicate

    public void replicate(Object arg0,
                          org.hibernate.ReplicationMode arg1)
                   throws org.hibernate.HibernateException

  Specified by:
    `replicate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### replicate

    public void replicate(String arg0,
                          Object arg1,
                          org.hibernate.ReplicationMode arg2)
                   throws org.hibernate.HibernateException

  Specified by:
    `replicate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### save

    public Serializable save(Object arg0)
                      throws org.hibernate.HibernateException

  Specified by:
    `save` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### save

    public Serializable save(String arg0,
                             Object arg1)
                      throws org.hibernate.HibernateException

  Specified by:
    `save` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdate

    public void saveOrUpdate(Object arg0)
                      throws org.hibernate.HibernateException

  Specified by:
    `saveOrUpdate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdate

    public void saveOrUpdate(String arg0,
                             Object arg1)
                      throws org.hibernate.HibernateException

  Specified by:
    `saveOrUpdate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### setCacheMode

    public void setCacheMode(org.hibernate.CacheMode arg0)

  Specified by:
    `setCacheMode` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `setCacheMode` in interface `org.hibernate.Session`

### setFlushMode

    public void setFlushMode(org.hibernate.FlushMode arg0)

  Specified by:
    `setFlushMode` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `setFlushMode` in interface `org.hibernate.Session`

### setReadOnly

    public void setReadOnly(Object arg0,
                            boolean arg1)

  Specified by:
    `setReadOnly` in interface `org.hibernate.Session`

### update

    public void update(Object arg0)
                throws org.hibernate.HibernateException

  Specified by:
    `update` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### update

    public void update(String arg0,
                       Object arg1)
                throws org.hibernate.HibernateException

  Specified by:
    `update` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### afterScrollOperation

    public void afterScrollOperation()

  Specified by:
    `afterScrollOperation` in interface `org.hibernate.engine.SessionImplementor`

### afterTransactionCompletion

    public void afterTransactionCompletion(boolean arg0,
                                           org.hibernate.Transaction arg1)

  Specified by:
    `afterTransactionCompletion` in interface `org.hibernate.engine.SessionImplementor`

### beforeTransactionCompletion

    public void beforeTransactionCompletion(org.hibernate.Transaction arg0)

  Specified by:
    `beforeTransactionCompletion` in interface `org.hibernate.engine.SessionImplementor`

### bestGuessEntityName

    public String bestGuessEntityName(Object arg0)

  Specified by:
    `bestGuessEntityName` in interface `org.hibernate.engine.SessionImplementor`

### executeNativeUpdate

    public int executeNativeUpdate(org.hibernate.engine.query.sql.NativeSQLQuerySpecification arg0,
                                   org.hibernate.engine.QueryParameters arg1)
                            throws org.hibernate.HibernateException

  Specified by:
    `executeNativeUpdate` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### executeUpdate

    public int executeUpdate(String arg0,
                             org.hibernate.engine.QueryParameters arg1)
                      throws org.hibernate.HibernateException

  Specified by:
    `executeUpdate` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getBatcher

    public org.hibernate.jdbc.Batcher getBatcher()

  Specified by:
    `getBatcher` in interface `org.hibernate.engine.SessionImplementor`

### getContextEntityIdentifier

    public Serializable getContextEntityIdentifier(Object arg0)

  Specified by:
    `getContextEntityIdentifier` in interface `org.hibernate.engine.SessionImplementor`

### getDontFlushFromFind

    public int getDontFlushFromFind()

  Specified by:
    `getDontFlushFromFind` in interface `org.hibernate.engine.SessionImplementor`

### getEnabledFilters

    public Map getEnabledFilters()

  Specified by:
    `getEnabledFilters` in interface `org.hibernate.engine.SessionImplementor`

### getEntityPersister

    public org.hibernate.persister.entity.EntityPersister getEntityPersister(String arg0,
                                                                             Object arg1)
                                                                      throws org.hibernate.HibernateException

  Specified by:
    `getEntityPersister` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getEntityUsingInterceptor

    public Object getEntityUsingInterceptor(org.hibernate.engine.EntityKey arg0)
                                     throws org.hibernate.HibernateException

  Specified by:
    `getEntityUsingInterceptor` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getFactory

    public org.hibernate.engine.SessionFactoryImplementor getFactory()

  Specified by:
    `getFactory` in interface `org.hibernate.engine.SessionImplementor`

### getFetchProfile

    public String getFetchProfile()

  Specified by:
    `getFetchProfile` in interface `org.hibernate.engine.SessionImplementor`

### getFilterParameterType

    public org.hibernate.type.Type getFilterParameterType(String arg0)

  Specified by:
    `getFilterParameterType` in interface `org.hibernate.engine.SessionImplementor`

### getFilterParameterValue

    public Object getFilterParameterValue(String arg0)

  Specified by:
    `getFilterParameterValue` in interface `org.hibernate.engine.SessionImplementor`

### getInterceptor

    public org.hibernate.Interceptor getInterceptor()

  Specified by:
    `getInterceptor` in interface `org.hibernate.engine.SessionImplementor`

### getJDBCContext

    public org.hibernate.jdbc.JDBCContext getJDBCContext()

  Specified by:
    `getJDBCContext` in interface `org.hibernate.engine.SessionImplementor`

### getListeners

    public org.hibernate.event.EventListeners getListeners()

  Specified by:
    `getListeners` in interface `org.hibernate.engine.SessionImplementor`

### getNamedSQLQuery

    public org.hibernate.Query getNamedSQLQuery(String arg0)

  Specified by:
    `getNamedSQLQuery` in interface `org.hibernate.engine.SessionImplementor`

### getPersistenceContext

    public org.hibernate.engine.PersistenceContext getPersistenceContext()

  Specified by:
    `getPersistenceContext` in interface `org.hibernate.engine.SessionImplementor`

### getTimestamp

    public long getTimestamp()

  Specified by:
    `getTimestamp` in interface `org.hibernate.engine.SessionImplementor`

### guessEntityName

    public String guessEntityName(Object arg0)
                           throws org.hibernate.HibernateException

  Specified by:
    `guessEntityName` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### immediateLoad

    public Object immediateLoad(String arg0,
                                Serializable arg1)
                         throws org.hibernate.HibernateException

  Specified by:
    `immediateLoad` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### initializeCollection

    public void initializeCollection(org.hibernate.collection.PersistentCollection arg0,
                                     boolean arg1)
                              throws org.hibernate.HibernateException

  Specified by:
    `initializeCollection` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### instantiate

    public Object instantiate(String arg0,
                              Serializable arg1)
                       throws org.hibernate.HibernateException

  Specified by:
    `instantiate` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### internalLoad

    public Object internalLoad(String arg0,
                               Serializable arg1,
                               boolean arg2,
                               boolean arg3)
                        throws org.hibernate.HibernateException

  Specified by:
    `internalLoad` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `org.hibernate.engine.SessionImplementor`

### isEventSource

    public boolean isEventSource()

  Specified by:
    `isEventSource` in interface `org.hibernate.engine.SessionImplementor`

### isTransactionInProgress

    public boolean isTransactionInProgress()

  Specified by:
    `isTransactionInProgress` in interface `org.hibernate.engine.SessionImplementor`

### iterate

    public Iterator iterate(String arg0,
                            org.hibernate.engine.QueryParameters arg1)
                     throws org.hibernate.HibernateException

  Specified by:
    `iterate` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### iterateFilter

    public Iterator iterateFilter(Object arg0,
                                  String arg1,
                                  org.hibernate.engine.QueryParameters arg2)
                           throws org.hibernate.HibernateException

  Specified by:
    `iterateFilter` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### list

    public List list(org.hibernate.impl.CriteriaImpl arg0)

  Specified by:
    `list` in interface `org.hibernate.engine.SessionImplementor`

### list

    public List list(org.hibernate.engine.query.sql.NativeSQLQuerySpecification arg0,
                     org.hibernate.engine.QueryParameters arg1)
              throws org.hibernate.HibernateException

  Specified by:
    `list` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### list

    public List list(String arg0,
                     org.hibernate.engine.QueryParameters arg1)
              throws org.hibernate.HibernateException

  Specified by:
    `list` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### listCustomQuery

    public List listCustomQuery(org.hibernate.loader.custom.CustomQuery arg0,
                                org.hibernate.engine.QueryParameters arg1)
                         throws org.hibernate.HibernateException

  Specified by:
    `listCustomQuery` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### listFilter

    public List listFilter(Object arg0,
                           String arg1,
                           org.hibernate.engine.QueryParameters arg2)
                    throws org.hibernate.HibernateException

  Specified by:
    `listFilter` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### scroll

    public org.hibernate.ScrollableResults scroll(org.hibernate.impl.CriteriaImpl arg0,
                                                  org.hibernate.ScrollMode arg1)

  Specified by:
    `scroll` in interface `org.hibernate.engine.SessionImplementor`

### scroll

    public org.hibernate.ScrollableResults scroll(org.hibernate.engine.query.sql.NativeSQLQuerySpecification arg0,
                                                  org.hibernate.engine.QueryParameters arg1)
                                           throws org.hibernate.HibernateException

  Specified by:
    `scroll` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### scroll

    public org.hibernate.ScrollableResults scroll(String arg0,
                                                  org.hibernate.engine.QueryParameters arg1)
                                           throws org.hibernate.HibernateException

  Specified by:
    `scroll` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### scrollCustomQuery

    public org.hibernate.ScrollableResults scrollCustomQuery(org.hibernate.loader.custom.CustomQuery arg0,
                                                             org.hibernate.engine.QueryParameters arg1)
                                                      throws org.hibernate.HibernateException

  Specified by:
    `scrollCustomQuery` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### setAutoClear

    public void setAutoClear(boolean arg0)

  Specified by:
    `setAutoClear` in interface `org.hibernate.engine.SessionImplementor`

### setFetchProfile

    public void setFetchProfile(String arg0)

  Specified by:
    `setFetchProfile` in interface `org.hibernate.engine.SessionImplementor`

### getActionQueue

    public org.hibernate.engine.ActionQueue getActionQueue()

  Specified by:
    `getActionQueue` in interface `org.hibernate.event.EventSource`

### instantiate

    public Object instantiate(org.hibernate.persister.entity.EntityPersister entityPersister,
                              Serializable serializable)
                       throws org.hibernate.HibernateException

  Specified by:
    `instantiate` in interface `org.hibernate.event.EventSource`
  Throws:
    `org.hibernate.HibernateException`

### forceFlush

    public void forceFlush(org.hibernate.engine.EntityEntry entityEntry)
                    throws org.hibernate.HibernateException

  Specified by:
    `forceFlush` in interface `org.hibernate.event.EventSource`
  Throws:
    `org.hibernate.HibernateException`

### merge

    public void merge(String s,
                      Object o,
                      Map map)
               throws org.hibernate.HibernateException

  Specified by:
    `merge` in interface `org.hibernate.event.EventSource`
  Throws:
    `org.hibernate.HibernateException`

### persist

    public void persist(String s,
                        Object o,
                        Map map)
                 throws org.hibernate.HibernateException

  Specified by:
    `persist` in interface `org.hibernate.event.EventSource`
  Throws:
    `org.hibernate.HibernateException`

### persistOnFlush

    public void persistOnFlush(String s,
                               Object o,
                               Map map)

  Specified by:
    `persistOnFlush` in interface `org.hibernate.event.EventSource`

### refresh

    public void refresh(Object o,
                        Map map)
                 throws org.hibernate.HibernateException

  Specified by:
    `refresh` in interface `org.hibernate.event.EventSource`
  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdateCopy

    public void saveOrUpdateCopy(String s,
                                 Object o,
                                 Map map)
                          throws org.hibernate.HibernateException

  Specified by:
    `saveOrUpdateCopy` in interface `org.hibernate.event.EventSource`
  Throws:
    `org.hibernate.HibernateException`

### delete

    public void delete(String s,
                       Object o,
                       boolean b,
                       Set set)

  Specified by:
    `delete` in interface `org.hibernate.event.EventSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD